Presentation CDVista

Présentation de CDVista

Si vous utilisez de nombreux disques informatiques amovibles tels que les cédéroms ou les cartouches ZIP, vous savez qu'il est parfois fastidieux de retrouver un fichier parmi tous ces supports. La seule solution consiste à insérer chacun de ces disques dans le lecteur de son ordinateur et d'effectuer une recherche à l'aide d'un gestionnaire de fichiers. Cette opération, si l'on possède plus d'une dizaine de disques, peut s'avérer très longue.

CDVista permet de cataloguer le contenu des disques informatique. Ainsi, vous pourrez, grâce à l'utilisation de navigateurs spéciaux et de fonctions de recherche étendues, consulter le contenu de ses disques en quelques secondes sans avoir à les insérés dans un ordinateur.

Le catalogage permet également d'effectuer des recherches rapides sur des disques de grande capacité, comme ceux d’un serveur de fichiers par exemple. La recherche d’images, de fichiers vidéo ou de n’importe quel type de fichier se fera en quelques secondes

Pour plus d'informations, consultez le site de l'auteur :
http://www.gentibus.com/fr/index.html

 Arbre

Copyright © - Luc DI FELICE - 2006 - tous droits réservés


Documentation

Catalogage des disques

L’opération de catalogage consiste à enregistrer les informations sur les fichiers et les dossiers stockés sur les disques informatiques. Ces informations sont stockées dans des fichiers nommés « Catalogue ».

Pour lancer l’opération de catalogage :

  • Cliquez sur le menu 'Fichiers / Cataloguer …',
  • Dans la fenêtre qui s'ouvre, sélectionnez le disque ou le dossier à cataloguer,
  • Cliquez sur le bouton 'Cataloguer >>'.

En fonction des options de catalogage sélectionnées et de la taille du disque, l'opération peut durer de quelques secondes à plusieurs dizaines de minutes. A la fin de l'opération, vous êtes invité à saisir le nom du disque.

Pour sélectionner un dossier à cataloguer, cliquez sur le label 'Sélection dossier'. Pour modifier les options de catalogage, utilisez le label 'Options'.

Mise à jour des dossiers

La fonction de mise à jour permet de re-cataloguer des disques ou dossiers déjà présent dans le catalogue. CDVista ajoute les nouveaux fichiers et dossiers présent sur le disque et enlève les fichiers supprimés. Si vous sélectionnez plusieurs dossiers situés sur différents disques, le programme vous demandera d'insérer les disques nécessaires à la mise à jour.

Si vous souhaitez, par exemple, mettre à jour tous les fichiers audio présent sur un disque, allez dans le panneau de recherche, sélectionnez le disque désiré et la catégorie "Fichiers audio" dans les critères de recherche, lancez la recherche puis supprimez les fichiers trouvés. Dans la vue "Disque", sélectionnez le disque à mettre à jour, puis cliquez sur le menu "Edition / Mettre à jour"

Gestion des catalogues

Les catalogues sont les fichiers contenant les informations sur les disques catalogués. Vous pouvez créer autant de catalogue que vous le souhaitez. Ces fichiers utilisent l'extension '.CCD' ; vous pouvez les copier, les supprimer ou les renommer à l'aide d'un gestionnaire de fichiers classique.

La création et l'ouverture des catalogues s'effectuent par l'intermédiaire du menu 'Fichier' de l'application. Vous pouvez ouvrir deux catalogues simultanément dans l'application.

Par défaut, lors du premier lancement de l'application, un catalogue vierge est créé dans votre dossier 'Mes Documents'.

Si vous souhaitez connaitre les propriétés du catalogue chargé, utilisez le menu 'Fichier / Propriétés du catalogue'. Une fenêtre affichera le nombre de fichiers catalogués par catégories, la taille, le chemin d'accès du catalogue ainsi que plusieurs autres informations.

CDVista à été testé avec un catalogue de 120 cédéroms (toutes les options de catalogage ont été sélectionnées) sur un pentium PIII 800 Mhz 400 Mo Ram, avec des temps de réponse très corrects et une taille de catalogue de 250 Mo. A vous de déterminer, en fonction de votre configuration, le nombre de disque à enregistrer par catalogue, pour garder des performances correctes.

La taille maximale des catalogues est de 900 Mo. Cette taille varie en fonction du nombre des disques enregistrés et des options de catalogage choisies.

Si vous faites de nombreuses suppressions dans un catalogue, vous pouvez réduire sa taille en utilisant le menu 'Fichier / Compacter le catalogue'.

Affichage des onglets

Vous avez de nombreuses possibilités pour consulter le contenu des disques catalogués. Les vues disponibles peuvent être sélectionnées dans le menu 'Affichage'. L'utilisateur peut ensuite, en cliquant sur les onglets situés en haut de la fenêtre du catalogue, afficher la vue désirée.

Un des onglets peut être personnalisé pour afficher le type de fichier désiré (consulter la rubrique 'Onglet personnalisable' pour en savoir plus).

Les types de fichier affichés dans chaque vue sont indiqués en annexe sous la rubrique 'Types de fichier affichés dans les vues de l'application'

Onglet 'Disques'

Cette vue est identique à celle que vous utiliseriez dans un gestionnaire de fichiers classique. Vous y trouverez l'ensemble des disques catalogués avec les dossiers et les fichiers qui y sont stockés.

Onglet 'Recherche'

Cet onglet permet d'effectuer de recherches dans le catalogue. Consultez la rubrique 'Rechercher des éléments' pour plus d'informations.

Onglet 'Dossiers'

Cette vue montre le contenu du catalogue comme s'il ne s'agissait que d'un seul disque. Cette possibilité est intéressante dans le cas des disques ayant une arborescence proche : cédéroms de revue informatique, disques d'archivage de données en entreprise, …

Onglets 'Images', 'Programmes', 'Audio', 'Vidéo'

Dans les arborescences de ces vues, seuls les dossiers contenant un type de fichier particulier, sont visibles (voir rubrique 'Types de fichier affichés dans les vues de l'application').

Les listes permettent d'afficher les colonnes contenant les informations propres à un type de fichier. Dans la vue 'Audio' vous pouvez par exemple, afficher les colonnes 'Titre' et 'Durée' ou encore afficher les colonnes 'Largeur' et 'Hauteur' dans la vue 'Images'.

Par exemple vous pouvez sélectionner la colonne 'Titre' pour afficher les titres des fichiers MP3 contenus dans le catalogue ou encore, afficher les dimensions des images en sélectionnant les colonnes 'Largeur' et 'Hauteur' dans la vue 'Images'.

Pour afficher ou effacer les colonnes propres à un type de fichier, sélectionnez la vue désirée, puis cliquez sur le menu 'Affichage / Choisir les colonnes …'

Onglet personnalisable

Cet onglet permet d'afficher la catégorie de fichier que l'on désire. Vous pourrez ainsi afficher les dossiers contenant les fichiers bureautiques, les polices de caractères, les fichiers propres à un logiciel particulier, …

Pour sélectionner le type de fichier à afficher dans cette vue, utilisez le menu 'Outils / Onglet personnel …', puis sélectionnez la catégorie de fichier à utiliser.

Vous pouvez, soit utiliser les catégories prédéfinis, soit créer vos propres catégories. Consulter la rubrique 'catégories fichier' pour en savoir plus.

Reconstruction des vues

Les vue spéciales affichent les dossiers contenant certain type de fichiers (audio, vidéo, ...). Si vous souhaitez mettre à jour ces vues, après des suppressions de fichiers par exemple, utilisez le menu "Outils / Reconstruire la vue". Ce menu permet également de ré-afficher les dossiers cachés.

Navigation par propriétés

Chaque vue spéciale (audio, vidéo, ...) possède une liste déroulante permettant de sélectionner le type d'arborescence à utiliser. La ligne "Dossier" affiche les dossiers contenant un certain type de fichier, les autres lignes correspondent aux propriétés spécifiques des fichiers de la vue.

Par exemple, dans la vue audio, vous pourrez sélectionner les lignes "Artiste", "Durée", "Album", ... L'arbre de la vue affichera alors les valeurs de la propriété choisie. Un click sur une de ces valeurs affichera les fichiers correspondant.

Sélection des colonnes

Pour modifier les colonnes affichées dans les listes, utilisez la fenêtre 'Gestion des colonnes' (menu 'Affichage / Choisir les colonnes'). Cette fenêtre permet de sélectionner les colonnes affichées et leur ordre d'affichage.

La liste des colonnes disponibles dans la fenêtre 'Gestion des colonnes' dépend du type de la liste affichée (Audio, Vidéo, ....).

Trie des colonnes

Pour trier les listes, vous pouvez soit cliquer sur l'entête de la colonne à trier, soit utiliser la fenêtre 'Gestion des colonnes' (menu 'Affichage / Choisir les colonnes').

Affichage des miniatures

Si vous avez sélectionné l'option 'Miniatures des images' avant le catalogage, vous pourrez afficher les images stockées sur vos disques sous forme de miniatures.

Le type d'affichage des miniatures dans les listes peut être sélectionné à l'aide du menu 'Affichage / Type d'affichage'.

La taille d'affichage des miniatures peut être modifiée en cliquant sur le menu 'Affichage / Type d'affichage / Taille des miniatures'.

L'option 'Taille des miniatures à cataloguer' dans la fenêtre 'Paramètres' permet de choisir la taille des miniatures enregistrées (de 48 pixels à 128 pixels). Plus la taille d'enregistrement est grande, plus la taille des catalogues sera importante.

Une fois cataloguées, les miniatures d'images peuvent être enregistrées dans des fichiers PNG à l'aide de la fonction d'export HTML (voir la rubrique 'Enregistrer les miniatures contenues dans le catalogue').

Le nombre de miniatures pouvant être affichées simultanément dans les listes est limité. Ce nombre peut varier de quelques centaines à plusieurs milliers de miniatures. Quand la limite est atteinte, les miniatures apparaissent sous forme d'une icône. Cette limitation est liée à la mémoire graphique utilisable sur l'ordinateur. Quand la mémoire est pleine, l'application ré-initialise celle-ci. La fonction 'Actualiser' peut, selon le cas, augmenter le nombre de miniatures affichées. Pour visualiser une image qui apparaît sous forme d'icône, affichez ses propriétés.

Pour afficher le plus d'image possible dans une liste, affichez le moins possible d'onglets et sélectionnez une taille de miniature faible (menu 'Affichage / Type d'affichage / Taille des miniatures').

Propriétés des fichiers

Lors du catalogage, l'application enregistre les informations relatives aux dossiers et aux fichiers stockés sur les disques : taille, date, type de fichier, structures des répertoires, …

Pour afficher les propriétés des éléments catalogués, sélectionnez un disque, un fichier ou un dossier puis cliquez sur le menu 'Edition / Propriétés …'.

Vous pouvez associer une description personnalisée pour chaque élément (disque, dossier et fichier). Saisissez votre texte sous l'onglet 'Description' dans la fenêtre 'Propriétés' puis cliquez sur le bouton 'Ok'.

Propriétés étendues

Pour certains types de fichier, des informations supplémentaires peuvent être enregistrées (par exemples les propriétés des fichiers audio : durée, titre, Fréquence, …).

Vous pouvez choisir les informations à enregistrer en utilisant la fenêtre 'Paramètres' (menu 'Fichiers / Paramètres …'). Consultez la rubrique 'Paramètres de l'application' pour en savoir plus.

Certaines de ces propriétés peuvent être modifiées, elles sont indiquées en caractères gras dans la liste des propriétés de la fenêtre 'Propriétés'.

Pour modifier une propriété, sélectionnez la dans la liste puis saisissez une valeur dans la zone de texte située sous la liste. Pour enregistrer les modifications, cliquez sur le bouton 'Ok'.

Propriétés des disques

Vous pouvez modifier, dans la fenêtre de 'Propriétés', le nom et la lettre de lecteur des disques catalogués. La modification de la lettre de lecteur peut être utile si votre lecteur de disque amovible utilise une lettre différente depuis son catalogage.

Catégories disque

Si vous souhaitez créer des catégories de disques personnalisées, utilisez le menu "Outils / Catégories disque".

Une fois créées, vous pouvez associer vos catégories à des disques en les sélectionnant dans la vue "Disques" puis en affichant la fenêtre propriétés.

Catégories fichier

Le nom des fichiers sous Windows est composé de deux parties : le nom et l'extension séparés par un point. L'extension permet de connaître le type du fichier.

Exemples :

MonCourrier.doc : désigne un fichier texte,
Install.exe : désigne un programme,
LisezMoi.txt : désigne un fichier texte,
Vacances.jpg : désigne un fichier image,
Edit.com : désigne un programme,
Bannière.gif : désigne un fichier image …

Dans ces exemples on trouve trois catégories principales : les fichiers contenant du texte (extensions DOC et TXT), les programmes (EXE et COM) et les fichiers contenant des images (JPG et GIF). Une catégorie est donc un ensemble d'extensions désignant des fichiers dont le rôle est identique.

L'emploi des catégories est très utile lors de recherches. Il suffit de sélectionner une catégorie dans les critères de recherche pour voir apparaître tous les fichiers associés à cette catégorie (Fichiers audio, images, polices de caractère, dessins, plans, vidéo …).

Plusieurs catégories sont prédéfinies dans l'application, vous pouvez les modifier ou en créer de nouvelles en utilisant la fenêtre 'Gestion des catégories' (menu 'Outils / Catégories …'). La liste de gauche contient les catégories disponibles, la liste de droite, les extensions de fichier associées à chaque catégorie.

Pour créer une nouvelle catégorie, cliquez sur le bouton 'Ajouter' situé à gauche dans la fenêtre 'Gestion des catégories', puis saisissez le nom désiré.

Vous devez ensuite associer des extensions de fichier à cette nouvelle catégorie. Cliquez sur le bouton 'Ajouter' situé à gauche dans la fenêtre 'Gestion des catégories', puis saisissez l'extension désirée. Renouveler cette opération pour ajouter d'autres extensions à cette catégorie.

Une fois créée, cette nouvelle catégorie pourra être utilisée dans les critères de recherche (option 'Catégorie') ou dans la vue personnalisée (menu 'Outils / Onglet personnalisé ...').

Rechercher des éléments

Les recherches s'effectuent dans la vue 'Recherche'. Plusieurs critères peuvent être sélectionnés en même temps, il suffit de cocher les options voulues et de saisir les valeurs désirées.

Les jokers sont utilisables dans la zone 'Nom'. Les caractères * et ? permettent de remplacer n'importe quel autre caractère.

Par exemple :

Ann*.* renvoie les fichiers

Anniv1.txt
Annee.jpg
Anne.doc

Ann?.* renvoie le fichier
Anne.doc

Plusieurs critères peuvent être associés dans la zone nom s'ils sont séparés par un point-virgule : Ann*.jpg ; Paul*.*

Si vous souhaitez rechercher des fichiers sur un seul disque, cochez le critère 'Disque' puis sélectionnez le disque désiré.

 Recherche

Recherche

Les recherches peuvent être limitées à certain type de fichiers. Par exemple les fichiers Audio. Les fichiers audio possèdent des propriétés supplémentaires par rapport aux fichiers classiques, par exemple la durée du morceau de musique, le titre de l'album, ....

Si vous souhaitez effectuer des recherches sur ces propriétés, sélectionnez dans la liste déroulante, sous le bouton 'Rechercher', le type de fichier désiré, puis les informations à rechercher.

Le critère 'Doublons' permet de rechercher les fichiers dupliqués dans le catalogue. CDVista se base sur le nom du fichier, sa taille et la date de dernière modification pour rechercher les fichiers en double.

Vous pouvez sélectionnez des critères de recherche supplémentaires en cochant les options désirées comme la catégorie des fichier dupliqués.

Attention, ces critères ne garantissent pas que les fichiers trouvés sont exactement identiques : deux fichiers ayant la même taille, la même date et le même nom peuvent avoir des différences dans leur contenu.

 Recherche

Supprimer des éléments

Vous pouvez supprimer des éléments du catalogue en sélectionnant ceux-ci et en cliquant sur le menu 'Edition / Supprimer'. Ces suppressions ne concernent que le catalogue, en aucun cas les fichiers présents sur vos disques.

Si vous effectuez de nombreuses suppressions dans un catalogue, vous pourrez réduire sa taille en utilisant le menu 'Fichiers / Compacter le catalogue'.

Cacher des dossiers

La fonction "Cacher" permet de dissimuler des dossiers dans les vues spéciales (audio, video, programme, ...) lors de l'affichage des dossiers. Ces dossiers restent présent dans le catalogue, mais ne sont plus affichés. Si vous souhaitez ré-afficher ces dossiers, utilisez le menu "Outils / Reconstruire la vue".

Suppression des miniatures

La suppression des miniatures d'images permet de réduire la taille des catalogues. Sélectionnez les fichiers images dont les miniatures ne vous sont pas utiles et cliquez sur le menu "Outils / Supprimer les miniatures...". Une fois les miniatures supprimées, utilisez le menu "Catalogue / Compacter le catalogue" pour réduire la taille du catalogue.

Localiser les fichiers

La fonction 'Localiser' permet de connaître rapidement l'emplacement d'un fichier ou d'un dossier sur un disque à partir de l'une des différents vues de l'application.

  1. A partir d'une autre vue que la vue 'Disques', sélectionnez les éléments à localiser,
  2. cliquez sur le menu 'Edition/Localiser',
  3. cliquez sur ce menu plusieurs fois de suite si vous avez sélectionné plusieurs éléments.

Récupérer des fichiers

La commande 'Récupérer' permet de copier rapidement sur un disque, les fichiers catalogués.

Si vous voulez, par exemple, récupérer une liste d'images stockées sur plusieurs cédéroms, sélectionnez les fichiers désirés (le résultat d'une recherche par exemple), puis cliquez sur le menu 'Edition / Récupérer …'. CDVista vous demandera de choisir le dossier de destination puis d'insérer les disques nécessaires à la copie.

Ouvrir ou explorer

Pour ouvrir un fichier ou un dossier à partir de CDVista, sélectionnez le dans l'une des vues de l'application puis cliquez sur le menu 'Edition / Ouvrir'. Si plusieurs éléments sont sélectionnés, CDVista ouvrira le premier élément de la liste. Si le disque contenant l'élément à ouvrir n'est pas accessible, le programme vous demandera d'insérer celui-ci.

La fonction 'Explorer' permet d'ouvrir dans l'explorateur Windows le dossier parent d'un fichier ou d'un dossier sélectionné dans CDVista.

Exportation des listes

Vous pouvez exporter le contenu des listes de l'application en utilisant le menu 'Fichiers / Exporter la liste' . Si des éléments sont sélectionnés, ceux-ci seront exportés, sinon l'ensemble des éléments affichés dans la liste sera exporté.

Pour choisir les informations à exporter, sélectionnez les colonnes de la liste à l'aide du menu 'Affichage / Choisir les colonnes …' avant de lancer l'export.

Format CSV

Le format CSV permet d'ouvrir les fichiers exportés avec un tableur ou un logiciel de base de donnée. Le séparateur de champ utilisé est le point-virgule.

Format HTML

Le format HTML est le format utilisé pour les pages internet. Il prend en charge l'export des miniatures d'images. Trois types de présentation sont utilisés : 'Liste', 'Miniatures' et 'Liste de miniatures'. Pour choisir un type de présentation, sélectionnez l'affichage désiré avec le menu 'Affichage / Type d'affichage' avant de lancer l'export.

La fenêtre d'export HTML permet de personnaliser la présentation des pages internet créées. Plusieurs options d'export sont disponibles, celles-ci varient en fonction du type d'affichage de la liste à exporter :

Options communes

  • Utiliser images existantes : Réutilise les miniatures existantes lors de l'export.
  • Afficher les bordures : Affiche l'encadrement des cellules dans les pages html créées.
  • Liens entre les pages : Si l'export nécessite plusieurs pages html, un en-tête et un pied de page est créé dans chaque page pour permettre la navigation entre celles-ci.
  • Liens avec les fichiers : Créer un lien internet entre la liste de fichier exportée et les fichiers réels stockés sur les disques.
  • Utiliser les chemins relatifs : Utilise des chemins relatifs lors de la création des liens avec les fichiers (chemin sans lettre de lecteur spécifiée).

Options 'Liste'

  • En-têtes de colonne : Affiche les titres des colonnes du tableau.
  • Retour à la ligne : Le texte contenu dans les cellules passe à la ligne si le bord de la page est atteint dans le navigateur internet.
  • Lignes par page : Nombre de ligne maximale par page. Quand ce nombre est atteint, une nouvelle page html est crée.

Options 'Miniatures'

  • Légendes des images : Affiche le nom du fichier sous la miniature, en légende
  • Images en largeur : Nombre d'images affichées verticalement dans la page html.
  • Images en hauteur : Nombre d'images affichées horizontalement dans la page html.
 Recherche

Créer une play liste

Une play liste est un fichier contenant une liste de fichiers multimédia (fichier musicaux mp3, vidéos, ...). Cette liste peut être lu automatiquement par les logiciels de lecture multimédia comme celui de Windows : le lecteur Windows Média.

Si vous souhaitez, par exemple, écouter une liste de morceaux musicaux répertoriés dans un catalogue CDVista, sélectionnez ces fichiers et cliquez sur le menu "Outils / Créer une play liste". Une fois la play liste créée, vous pourrez l'ouvrir avec le lecteur Windows média.

Cédéroms audio

CDVista permet de récupérer les informations sur les cédéroms audio à partir d'Internet. Pour lancer la mise à jour, utilisez le menu 'Outils / Mise à jour des cédéroms audio'.

Si vous ajouter des cédéroms audio après une première mise à jour du catalogue, seuls les nouveaux disques seront mis à jour. Pour mettre à jour de nouveau un cédérom audio, cochez l'option 'Autoriser la mise à jour du cédérom audio sur internet' dans la fenêtre des propriétés du disque.

Paramètres de l'application

Général

  • Ouvrir le dernier catalogue utilisé au démarrage : Charge au démarrage de l'application le catalogue utilisé lors de la dernière utilisation.
  • Ouvrir les fichiers avec un double-clique : Exécute le fichier sur lequel on double clique dans une liste. Si l'option n'est pas cochée, les propriétés du fichier sont affichées.

Catalogage

  • Miniatures d'image : Enregistre une image miniaturisée des fichiers contenant une image numérique.
  • Fichiers programme : Enregistre les caractéristiques des fichiers programme.
  • Fichiers audio : Enregistre les caractéristiques des fichiers audio.
  • Fichiers vidéo : Enregistre les caractéristiques des fichiers vidéo.
  • Fichiers compressés : Enregistre la liste et les caractéristiques des fichiers contenus dans les fichiers compressés.
  • Fichiers cachés : Enregistre dans le catalogue les informations sur les fichiers et les dossiers cachés stockés sur les disques.
  • Fichiers texte : Enregistre le début des fichiers contenant du texte.
  • Pages internet : Enregistre le contenu des méta-balises utilisées dans les fichiers html.
  • Taille des miniatures à cataloguer : Défini la taille des images miniatures à enregistrer. Plus cette taille est importante, plus la taille des catalogues augmente.
  • Ejecter les disques amovibles : Ejecte les disques amovibles après leur catalogage.
  • Nombre de caractères à enregistrer : Longueur du texte en caractère à enregistrer pour les fichiers texte.

Affichage

  • Souligner les dossiers des arborescences : Permet d'ouvrir un dossier par un simple clique dans les arborescences.
  • Encadrer les miniatures : Affiche un encadrement autour des miniatures d'image.
  • Afficher la grille dans les listes : Affiche le contour des lignes et des colonnes dans les listes.

Export HTML

Consultez la rubrique "Format HTML"

Langage

Permet de sélectionner le langage de l'application. Le bouton 'Mise à jour internet' permet de récupérer par internet les derniers fichiers de langage disponibles pour l'application.

Récupérer

  • Utiliser les noms de dossier des fichiers compressés : Recréer l'arborescence contenue dans les fichiers compressés lors de la récupération.

Trucs et astuces

Imprimer

L'application ne contient pas de fonction d'impression. Vous pouvez cependant imprimer facilement la liste des fichiers contenus dans les catalogues si votre ordinateur possède un navigateur internet.

  • Affichez la liste à imprimer : fichiers contenus dans un dossier, résultat d'une recherche, …
  • lancez l'exportation au format html en cliquant sur le menu 'Outils / Exporter la liste / Format html',
  • Une fois la liste affichée dans votre navigateur, cliquez sur le menu 'Fichier / Imprimer…' du navigateur.

Imprimer la liste des fichiers présent sur un disque catalogué

  • Sélectionnez l'onglet 'Recherche',
  • cochez le critère 'Disque' puis sélectionnez le disque désiré dans la liste,
  • lancez la recherche en cliquant sur le bouton 'Rechercher',
  • lancez l'exportation en cliquant sur le menu 'Outils / Exporter la liste / Format html'.

Une fois la liste affichée dans le navigateur, cliquez sur le menu 'Fichier / Imprimer …' du navigateur.

Enregistrer les miniatures contenues dans le catalogue

Les miniatures d'images sont automatiquement enregistrées lorsque vous utilisez la fonction d'export au format html.

  • affichez et sélectionnez les miniatures que vous voulez enregistrer,
  • lancer la fonction d'export (menu 'Outils / Exporter la liste / Format html'),
  • Saisissez le nom du fichier à exporter (par exemple "C:\Mes Documents\Vacances").

Une fois l'export terminé, vous pourrez trouver les miniatures d'image enregistrées sur le disque dans le sous dossier \Nom_Fichier_Img\ (par exemple "C:\Mes Documents\Vacances_Img\").


Annexes

Raccourcis clavier

Afficher la vue "Disques" : Ctrl + 1
Afficher la vue "Recherche" : Ctrl + 2, F3
Afficher la vue "Dossiers" : Ctrl + 3
Afficher la vue "Images" : Ctrl + 4
Afficher la vue "Programmes" : Ctrl + 5
Afficher la vue "Audio" : Ctrl + 6
Afficher la vue "Vidéo" : Ctrl + 7
Afficher la vue personnalisée : Ctrl + 8

Affichage de l'aide : F1

Afficher les propriétés de l'élément sélectionné : Alt + Entrée
Afficher le dossier parent : BackSpace
Bascule Arbre - Liste : Tab
Sélectionner tous les éléments de la liste : Ctrl + A
Actualiser l'affichage : F5
Largeur colonne auto : F4

Arrêt des recherches et des suppressions: Echap
Activer le menu de l'application : F10

Ajouter un disque ou un dossier … : Ctrl + S
Nouveau catalogue : Ctrl + N
Ouvrir un catalogue : Ctrl + G

Récupérer... : Ctrl + R
Localiser : Ctrl + L
Supprimer les éléments sélectionnés : Suppr

Ouvrir : Ctrl + O
Lancer l'explorateur : Ctrl + E
Cacher le dossier sélectionné : Ctrl + H

Création des miniatures

L'application peut créer des miniatures d'image pour les formats de fichier suivant :

Les fichiers JPG (.jpg, .jpeg),
les fichiers GIF (.gif),
images bitmap (.bmp),
les curseurs (.cur),
les icônes (.ico),
les fichiers avec codage des répétitions (.rle),
les métafichiers (.wmf),
les métafichiers étendus (.emf),
les fichiers PGN (.png),
les fichiers PSD (.psd),
les fichiers TIFF (.tif, .tiff),
les fichier EPS (.eps),
les fichier TGA (.tga),
les fichier PCX (.pcx),
les fichier IFF (.iff).

Types de fichier affichés dans les vues de l'application

Vue images : jpg, jpeg, gif, bmp, rle, emf, wmf, ico, psd, png, tif, tga, pcx, iff, eps
Vue programmes : Exe, Com, Bat, Vbs, Pif
Vue audio : Mp3, Wav, Cda, Mid, Wrk, Gp3, Ac3, Wma, Ogg
Vue Vidéo : Avi, Mpg, Mpeg, Wmv, Asf, Mov, Rm, Fli, Ogm, Mkv
Vue personnalisée : au choix

Informations supplémentaires extraites des fichiers

Fichiers programme : Exe
Fichiers audio : Mp3, Wav, Cda, Ogg
Fichiers vidéo : Avi, Ogm
Fichier compressés : Zip, Rar
Fichier image : Jpg

Copyright © - Luc DI FELICE - 2006 - tous droits réservés


Installation

Installation / désinstallation

Configuration nécessaire

  • Ordinateur Pentium 350 Mhz ou équivalent,
  • 50 Mo d'espace disque disponible,
  • 128 Mo de mémoire vive.

OS supportés : W98se, Millenium, 2000, XP.

Installation

Pour lancer l'installation de CDVista, exécuter le fichier CDVistaSetup.exe (double-cliquez sur celui-ci dans l'Explorateur Windows).

Désinstallation

Pour désinstaller CDVista, utilisez l'icône 'Ajout / Suppression de programmes' du panneau de configuration de Windows ou l'icône 'Uninstall CDVista' situé dans le groupe de programmes crée lors de l'installation dans le menu 'Démarrer'.


Support technique

En cas de problèmes lors de l'utilisation du logiciel, vous pouvez consulter la page internet de support technique à l'adresse suivante : http://www.gentibus.com/fr/SupportTechnique.htm

Cette page est régulièrement mise à jour et permet de résoudre les problèmes les plus courant liés au logiciel.


Licence d'utilisation

Licence

Le logiciel CDVista version 1.4x est distribué sous forme de DonationWare, c'est à dire que son utilisation est gratuite. Si vous souhaitez encourager le développement de CDVista vous pouvez faire une donation.

Pour en savoir plus sur les donations, consultez la rubrique http://www.gentibus.com/fr/Donation.htm

Garantie

Le logiciel a été testé de nombreuses heures par différents utilisateurs sur différents ordinateurs mais l’auteur ne peut garantir son fonctionnement sur l’ensemble des configurations informatiques existantes.

En conséquence, le logiciel est fourni sans aucune forme de garantie, ni explicite ni implicite. L'auteur ne pourra être tenu responsable en aucune circonstance de tout dommage quel qu'il soit (y compris mais non de façon limitative, les dommages directs ou indirects causés par la perte de bénéfices commerciaux, l'interruption des affaires, la perte d'information commerciale ou toute autre perte pécuniaire) résultant de l'utilisation ou de l’impossibilité d'utilisation de ce produit. Les résultats ou performances de ce programme sont entièrement assumés par l'utilisateur.

Copyright

Le programme CDVista, son code source, sa documentation, l'organisation de ses données et l'apparence de son interface graphique, sont la propriété exclusive de l'auteur. Ce logiciel est protégé en vertu des lois sur les droits d’auteur (Convention de Berne). La décompilation ou la modification de ce logiciel est interdite.

Distributeurs

CDVista version 1.4x peut-être distribué gratuitement dans la mesure ou le logiciel n'ai pas vendu. Seuls les supports contenant ce programme pourront être commercialisés (cédéroms, disquettes, ...) si leurs prix n’excèdent pas les prix communément pratiqués pour ces supports. Le logiciel doit être distribué sous sa forme originale (CDVistaSetup.exe) sans aucune modification. Le distributeur doit préciser que le logiciel est distribué sous licence "DonationWare". Les versions "BETA" de CDVista ne doivent pas être distribuées (ces versions sont identifiées par le mot "BETA" dans le titre de la fenêtre de l'application). Ces versions sont utilisées seulement pour des tests.

Remerciements

CDVista utilise plusieurs bibliothèques de fonctions crées par différents auteurs. Ces bibliothèques concernent la compression des données et sont disponibles gratuitement à ces adresses :

Gestion des fichiers zip : http://www.info-zip.org (Info-Zip group)
Gestion des fichiers rar : http://www.rarlab.com (Eugene Roshal)
Compression des données : http://www.gzip.org (Jean-loup Gailly, Mark Adler)

Merci aux différents auteurs ayant participé à leur conception et à leur distribution.

La procédure d'installation de CDVista à été réalisé à l'aide du logiciel "Inno Setup" de Jordan Russell. Consulter son site a l'adresse : http://www.jrsoftware.org/

Les informations utilisées pour les cdroms audio sont issues des serveurs FreeDB. Pour toutes informations supplémentaires, consulter le site http://www.freedb.org.

Merci à Ulrich von Zadow et aux différentes personnes ayant élaboré la bibliothèque PaintLib. Le site dédié à cette librairie est consultable à cette adresse : http://www.paintlib.de

La lecture et l'écriture de fichiers png est réalisée à l'aide du module libpng (http://www.libpng.org/). Merci aux différents auteurs ayant participé à sa conception.

Merci à Chavdar Jordanov pour ses informations sur la gestion du format EXIF.

Marques citées

Windows, Internet Explorer sont des marques déposées de Microsoft Corporation. Tous les autres noms de marques et de produits utilisés sur ce site internet sont des marques déposées ou des appellations commerciales de leur propriétaire respectif.


Donations

Si vous appréciez CDVista et souhaitez soutenir son développement, vous pouvez participer à son évolution en faisant une donation. CDVista requiert beaucoup de temps de développement et les donations lui permettent de continuer à vivre et à s'améliorer.

Pour plus d'information sur les donations, consultez la page http://www.gentibus.com/fr/Donation.htm

Pour toutes informations supplémentaires, vous pouvez consulter notre site internet ou envoyer vos questions par email.

Email : cdvista@gentibus.com
Web : http://www.gentibus.com/fr/index.html


Mises a jour

Mises à jour

Si vous souhaitez obtenir la dernière version de CDVista, vous pouvez télécharger le fichier d'installation à cette adresse : http://www.gentibus.com/fr/Telechargements.htm

Copyright © - Luc DI FELICE - 2004 - tous droits réservés


Contact

Contacter l'auteur

Pour toutes informations :

Email

 cdvista@gentibus.com

Web

 http://www.gentibus.com

Adresse

M. Luc DI FELICE
51, rue de la Fraternité
69150 DECINES CHARPIEU
FRANCE

Copyright © - Luc DI FELICE - 2006 - tous droits réservés